package soccerTeamExample_tableVersion;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;

public class SoccerAppController implements TableModelListener {

	private TeamMemberModel theModel;
	private TeamMemberView theView;
	private boolean isActive = false;

	public SoccerAppController(TeamMemberView view, TeamMemberModel model) {
		theModel = model;
		theView = view;

		/**
		 * pp. 101-102. The widgets will generate events that are produced when
		 * the user types new text into the table cells. We want the controller
		 * to be aware of such events so that it can update the application
		 * model accordingly.
		 * 
		 */
		theView.getModelFromTableWidget().addTableModelListener(this);
	}

	@Override
	public void tableChanged(TableModelEvent e) {
		if (isActive)
			return;
		isActive = true;
		theModel.setFirstName(theView.getModelFromTableWidget().getFirstName());
		theModel.setLastName(theView.getModelFromTableWidget().getLastName());
		theModel.setAddress(theView.getModelFromTableWidget().getAddress());
		theModel.setPhoneNumber(theView.getModelFromTableWidget().getPhoneNumber());
		isActive = false;
	}

}
